# classes/phing/tasks/ext/git/GitPullTask.php

## \GitPullTask
jump to top

Wrapper aroung git-pull

Use {@link Project#createTask} to register a new Task.

Extends from
  \GitBaseTask
see
  \VersionControl_Git
author
  Victor Farazdagi
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.git
since
  2.4.3
version
  $Id: GitPullTask.php 1084 2011-05-06 09:55:25Z mrook $

### Properties

`boolean $allRemotes= 'false'`

Fetch all remotes --all key to git-pull

Default value `false` Details

Type
  boolean

`boolean $append= 'false'`

--append key to git-pull

Default value `false` Details

Type
  boolean

`boolean $force= 'false'`

--force, -f key to git-pull

Default value `false` Details

Type
  boolean

`boolean $keepFiles= 'false'`

Keep downloaded pack --keep key to git-pull

Default value `false` Details

Type
  boolean

`boolean $noRebase= 'false'`

--no-rebase key to git-pull Allow to override --rebase (if set to default true in configuration)

Default value `false` Details

Type
  boolean

`boolean $noTags= 'false'`

Disable/enable automatic tag following --no-tags key to git-pull

Default value `false` Details

Type
  boolean

`boolean $quiet= 'true'`

--quiet, -q key to git-pull

Default value `true` Details

Type
  boolean

`boolean $rebase= 'false'`

--rebase key to git-pull

Default value `false` Details

Type
  boolean

`string $refspec= ''`

<refspec> argument to git-pull

Details

Type
  string

`string $source= 'origin'`

<repository> argument to git-pull

Default value `origin` Details

Type
  string

`string $strategy= ''`

Merge strategy. See -s <strategy> of git-pull

Details

Type
  string

`string $strategyOption= ''`

-X or --strategy-option of git-pull

Details

Type
  string

`boolean $tags= 'false'`

Fetch all tags (even not reachable from branch heads) --tags key to git-pull

Default value `false` Details

Type
  boolean

`array $validStrategies= 'array'`

Valid merge strategies

Default value `array` Details

Type
  array

### Methods

`getAll( ) :`
`getAppend( ) :`
`getForce( ) :`
`getKeep( ) :`
`getNoRebase( ) :`
`getNoTags( ) :`
`getQuiet( ) :`
`getRebase( ) :`
`getRefspec( ) :`
`getSource( ) :`
`getStrategy( ) :`
`getStrategyOption( ) :`
`getTags( ) :`
`isAllRemotes( ) :`
`isAppend( ) :`
`isForce( ) :`
`isKeepFiles( ) :`
`isNoRebase( ) :`
`isNoTags( ) :`
`isQuiet( ) :`
`isRebase( ) :`
`isTags( ) :`
`main( ) :`
The main entry point for the task
`setAll( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setAppend( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setForce( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setKeep( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setNoRebase( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setNoTags( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setQuiet( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setRebase( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setRefspec( $spec ) :`
Parameters

Name | Type | Description
--- | --- | ---
$spec |  |

`setSource( $source ) :`
Parameters

Name | Type | Description
--- | --- | ---
$source |  |

`setStrategy( $strategy ) :`
Parameters

Name | Type | Description
--- | --- | ---
$strategy |  |

`setStrategyOption( $strategyOption ) :`
Parameters

Name | Type | Description
--- | --- | ---
$strategyOption |  |

`setTags( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

Documentation was generated by DocBlox 0.13.1.